Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Query Parameters

page
integer<int32>

The page number to request (1 based)

Example:

1

size
integer<int32>

The number of results to return in a page

Example:

100

replacementOrderStatus
enum<string>[]

Filter by replacement order status (calculated from order and return statuses).

Filter by replacement order status (calculated from order and return statuses).

Available options:
SUBMITTED,
PROCESSING,
COMPLETED,
PARTIALLY_COMPLETED,
CANCELLED,
SUBMITTED,
PROCESSING,
COMPLETED,
PARTIALLY_COMPLETED,
CANCELLED
country
string[]

Filter by country codes

Filter by country codes

submittedBy
string<uuid>[]

Filter by person IDs who submitted the replacement

Filter by person IDs who submitted the replacement

shipmentStatus
enum<string>[]

Filter by the shipment order status of the replacement's linked order.

Filter by the shipment order status of the replacement's linked order.

Available options:
AWAITING_APPROVAL,
ORDERED,
PROCESSING,
ORDERED_NOT_SHIPPED,
SHIPPED,
COMPLETED,
PARTIALLY_SHIPPED,
DECLINED,
AWAITING_DELIVERY_SCHEDULING,
DELIVERY_SCHEDULED,
DELIVERED,
NONE,
APPROVED,
AWAITING_FULFILLMENT,
PENDING,
RETURN_KIT_SENT,
RETURN_KIT_DELIVERED,
RETURN_KIT_SENT_BACK,
RECEIVED_IN_WAREHOUSE,
RETURNED,
NOT_RETURNED,
OUT_FOR_DELIVERY,
DELIVERY_EXCEPTION,
SUBMITTED,
CANCELLED,
CONFIRMED,
NOT_COMPLETED,
PARTIALLY_COMPLETED,
AWAITING_APPROVAL,
ORDERED,
PROCESSING,
ORDERED_NOT_SHIPPED,
SHIPPED,
COMPLETED,
PARTIALLY_SHIPPED,
DECLINED,
AWAITING_DELIVERY_SCHEDULING,
DELIVERY_SCHEDULED,
DELIVERED,
NONE,
APPROVED,
AWAITING_FULFILLMENT,
PENDING,
RETURN_KIT_DELIVERED,
RETURN_KIT_SENT_BACK,
RECEIVED_IN_WAREHOUSE,
RETURNED,
NOT_RETURNED,
OUT_FOR_DELIVERY,
DELIVERY_EXCEPTION,
SUBMITTED,
CANCELLED,
CONFIRMED,
NOT_COMPLETED,
PARTIALLY_COMPLETED
returnKitStatus
enum<string>[]

Filter by retrieval method (return kit) statuses.

Filter by retrieval method (return kit) statuses.

Available options:
REQUESTED,
PROCESSED,
CANCELLED,
LABEL_CREATED,
SHIPPED,
DELIVERED,
SENT_BACK,
ARRIVED_AT_PROCESSING_FACILITY,
DELIVERY_EXCEPTION,
NOT_PROCESSED,
PARTIALLY_PROCESSED,
SCHEDULING_PICK_UP,
REQUESTED,
PROCESSED,
CANCELLED,
LABEL_CREATED,
SHIPPED,
DELIVERED,
SENT_BACK,
ARRIVED_AT_PROCESSING_FACILITY,
DELIVERY_EXCEPTION,
NOT_PROCESSED,
PARTIALLY_PROCESSED,
SCHEDULING_PICK_UP
vendorSku
string[]

Filter by vendor SKUs

Filter by vendor SKUs

skuId
string<uuid>[]

Filter by SKU IDs

Filter by SKU IDs

serialNumber
string[]

Filter by serial numbers

Filter by serial numbers

startDate
string<date>

Filter replacements created after this date (ISO-8601)

Example:

"2024-01-01"

endDate
string<date>

Filter replacements created before this date (ISO-8601)

Example:

"2024-12-31"

sortBy
string

Field to sort by (createdAt, country, person, status)

Example:

"createdAt"

sortDirection
string

Sort direction (ASC, DESC)

Example:

"DESC"

Response

A paginated list of replacement orders matching the filter criteria.

id
string<uuid>
required

Replacement ID

Example:

"123E4567-E89B-12D3-A456-426614174000"

status
enum<string>
required

Replacement status

Available options:
SUBMITTED,
PROCESSING,
COMPLETED,
PARTIALLY_COMPLETED,
CANCELLED
Example:

"SUBMITTED"

createdAt
string<date>
required

Date the replacement was created

Example:

"2025-01-15"

person
object

Person associated with the replacement

submittedBy
object

Person who submitted the replacement

order
object

Replacement order details

returnOrder
object

Return order details